%global _empty_manifest_terminate_build 0
Name:           python-barbicanclient
Version:        5.1.0
Release:        2
Summary:        Client Library for OpenStack Barbican Key Management API
License:        Apache-2.0
URL:            https://docs.openstack.org/python-barbicanclient/latest/
Source0:        https://files.pythonhosted.org/packages/6b/95/55ce1287d9b5c46117333eaa9008bf8fb69c54969012f2301f793c87e579/python-barbicanclient-5.1.0.tar.gz
BuildArch:      noarch
%description
python-barbicanclient This is a client for the Barbican.

%package -n python3-barbicanclient
Summary:        Client Library for OpenStack Barbican Key Management API
Provides:       python-barbicanclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-cliff
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-sphinxcontrib-svg2pdfconverter
BuildRequires:  python3-openstackclient
# General requires
Requires:       python3-cliff
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-keystoneauth1
Requires:       python3-oslo-i18n
Requires:       python3-oslo-serialization
Requires:       python3-pbr
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-sphinxcontrib-svg2pdfconverter
%description -n python3-barbicanclient
python-barbicanclient This is a client for the Barbican.

%package help
Summary:        Client Library for OpenStack Barbican Key Management API
Provides:       python3-barbicanclient-doc
%description help
python-barbicanclient This is a client for the Barbican.

%prep
%autosetup -n python-barbicanclient-5.1.0

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-barbicanclient -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 5.1.0-2
- Fix install error

* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 5.1.0-1
- Upgrade to version 5.1.0
* Thu Jan 21 2021 zhangy1317 <zhangy1317@foxmail.com>
- Add BuildRequires python3-pip
* Fri Jan 08 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
